package com.yizhi.mall.application;

import lombok.Data;

import java.util.Arrays;

/**
 * @Date 2021/1/11 3:14 下午
 * @Author lvjianhui
 **/
public enum ExchangeConditionType {

    DAY         ("DAY", "天"),
    WEEK        ("WEEK", "周"),
    MONTH       ("MONTH","月"),
    QUARTER     ("QUARTER","季度"),
    HALFYEAR    ("HALFYEAR","半年"),
    YEAR        ("YEAR","年"),
    ALLTIME     ("ALLTIME","每人历史限量兑换");

    private String code;
    private String msg;

    ExchangeConditionType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static ExchangeConditionType getByCode(String code) {
        return Arrays.stream(ExchangeConditionType.values()).filter(it -> it.code.equals(code)).findFirst().get();
    }
}
