package com.yizhi.mall.application.feign;

import com.yizhi.mall.application.pojo.vo.TokenConfigVO;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.lang.annotation.Annotation;
import java.lang.reflect.Method;

@FeignClient(name = "mall",contextId = "TokenControllerClient")
public interface TokenControllerClient {


    @GetMapping("/student/token/amount")
    @ApiOperation("获取用户当前金币数量")
    BizResponse<Integer> getTokenAmount();

    @GetMapping("/manage/tokenExchangeRule/get")
    @ApiOperation(value = "获取规则")
    public BizResponse<TokenConfigVO> get();
}
