package com.yizhi.mall.application.pojo.qo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: ManageTokenLogQO
 * @author: zjl
 * @date: 2021/1/13  16:25
 */
@Data
@ApiModel(value = "管理端")
public class ManageTokenLogQO {

    @ApiModelProperty(value = "关键字")
    private String kwd;

    @ApiModelProperty(value = "分页参数：每页条数，默认10条")
    private Integer pageSize = 10;

    @ApiModelProperty(value = "分页参数：跳转页，默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(value = "变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏   200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品")
    private Integer type;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date startAt;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date endAt;
}
