package com.yizhi.mall.application.pojo.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: ManageTokenLogVO
 * @author: zjl
 * @date: 2021/1/13  16:05
 */
@ApiModel(value = "管理端金币消费返回vo")
@Data
public class
ManageTokenLogVO {

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty("时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date createdAt;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("数量 +加 -减")
    private Integer count;

    @ApiModelProperty("业务类型 变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏   200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品")
    private Integer type;

    @ApiModelProperty("如股业务类型 属于平台业务，则为业务ID。如果有值，则更具该值跳相应业务的页面。如果无值则 更具订单ID跳订单详情页面")
    private Long relationId;

    @ApiModelProperty("订单ID")
    private String orderId;

    @ApiModelProperty("业务项目名 或考试名 或作品名称")
    private String relationName;
}
