package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName: QualityContentVO
 * @author: zjl
 * @date: 2021/1/12  9:38
 */
@Data
@ApiModel("精品内容返回vo")
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QualityContentVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long accountId;

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty(value = "头像")
    private String headPortrait;

    @ApiModelProperty(value = "金币数")
    private Integer tokenCount;

    @ApiModelProperty(value = "兑换记录数", hidden = true)
    private Integer exchangeLogsCount;

}
