package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName: TokenExchangeRuleVO
 * @author: zjl
 * @date: 2021/1/11  15:20
 */
@Data
@ApiModel("积分兑换金币规则返回vo")
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TokenExchangeRuleVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "虚拟币名称")
    private String tokenName;

    @ApiModelProperty(value = "兑换比例 100表示 100积分兑换 1金币")
    private BigDecimal rate;

    @ApiModelProperty(value = "0:无条件 1:有条件")
    private Boolean exchangeCondition;

    @ApiModelProperty(value = "DAY,WEEK,MONTH,QUARTER,HALFYEAR,YEAR,ALLTIME")
    private String conditionRuleType;

    @ApiModelProperty(value = "时间范围内兑换总量")
    private Integer conditionRuleTokenCount;

}
