package com.yizhi.mall.application.config

import com.yizhi.core.application.context.ContextHolder
import feign.RequestInterceptor
import feign.RequestTemplate
import org.apache.commons.beanutils.BeanUtils
import org.apache.commons.lang.StringUtils
import org.springframework.stereotype.Component


/**
 * @Date 2021/1/19 1:48 下午
 * @Author lvjianhui
 **/
@Component
class FeignRequestIntercept:RequestInterceptor {

    override fun apply(template: RequestTemplate?) {
        val map = BeanUtils.describe(ContextHolder.get())
        map.filter { StringUtils.isNotEmpty(it.value)}.forEach { (key, value) ->
            template!!.header(key,value)
        }
    }
}