package com.yizhi.mall.application.config;

import com.alibaba.fastjson.JSONObject;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.persistence.PrePersist;
import javax.persistence.PreUpdate;
import java.lang.reflect.Method;

/**
 * @Date 2021/1/14 1:33 下午
 * @Author lvjianhui
 **/
public class JpaListener {

    private Logger logger = LoggerFactory.getLogger(JpaListener.class);

    @PrePersist
    public void prePersist(Object sourse){
        try{
            logger.trace("JpaListener 保存前  ==== clazz.fields：" + JSONObject.toJSONString(sourse));
            Class clazz = sourse.getClass();
            RequestContext requestContext = ContextHolder.get();

            try{
                Method methodsetCompanyId = clazz.getMethod("setCompanyId",Long.class);
                methodsetCompanyId.invoke(sourse,requestContext.getCompanyId());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodsetCompanyId");
            }

            try {
                Method methodSetSiteId = clazz.getMethod("setSiteId",Long.class);
                methodSetSiteId.invoke(sourse,requestContext.getSiteId());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodSetSiteId");
            }

            try {
                Method methodSetOrgId = clazz.getMethod("setOrgId",Long.class);
                methodSetOrgId.invoke(sourse,requestContext.getOrgId());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodSetOrgId");
            }

            try {
                Method methodSetAccountId = clazz.getMethod("setAccountId",Long.class);
                methodSetAccountId.invoke(sourse,requestContext.getAccountId());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodSetAccountId");
            }


            try {
                Method setAccountName = clazz.getMethod("setAccountName",String.class);
                setAccountName.invoke(sourse,requestContext.getAccountName());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException setAccountName");
            }

            try {
                Method setAccountFullName = clazz.getMethod("setAccountFullName",String.class);
                setAccountFullName.invoke(sourse,requestContext.getAccountFullName());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException setAccountFullName");
            }

            try {
                Method methodSetCreatedUid = clazz.getMethod("setCreatedUid",Long.class);
                methodSetCreatedUid.invoke(sourse,requestContext.getAccountId());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodSetCreatedUid");
            }

            try {
                Method methodSetCreatedName = clazz.getMethod("setCreatedName",String.class);
                methodSetCreatedName.invoke(sourse,requestContext.getAccountName());
            }catch (Exception e) {
                logger.warn("NoSuchMethodException methodSetCreatedName");
            }
            logger.trace("JpaListener 保存前 ==== clazz.fields：" + JSONObject.toJSONString(sourse));
        }catch (Exception e) {
            logger.warn("JpaListener 保存前 ERROE ==== clazz.fields：" + JSONObject.toJSONString(sourse),e);
        }
    }

    @PreUpdate
    public void preUpdate(Object sourse) {
        logger.trace("JpaListener 更新前  ==== clazz.fields：" + JSONObject.toJSONString(sourse));
        Class clazz = sourse.getClass();
        RequestContext requestContext = ContextHolder.get();
        try {
            Method setUpdatedUid = clazz.getMethod("setUpdatedUid",Long.class);
            setUpdatedUid.invoke(sourse,requestContext.getAccountId());
        }catch (Exception e) {
            logger.warn("NoSuchMethodException setUpdatedUid");
        }

        try {
            Method setUpdatedName = clazz.getMethod("setUpdatedName",String.class);
            setUpdatedName.invoke(sourse,requestContext.getAccountName());
        }catch (Exception e) {
            logger.warn("NoSuchMethodException setUpdatedName");
        }

        logger.trace("JpaListener 更新前  ==== clazz.fields：" + JSONObject.toJSONString(sourse));
    }
}
