package com.yizhi.mall.application.controller.manage;

import cn.hutool.core.date.DateUtil;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.mall.application.excel.export.TokenLogExport;
import com.yizhi.mall.application.pojo.qo.ManageTokenLogQO;
import com.yizhi.mall.application.pojo.vo.ManageTokenLogVO;
import com.yizhi.mall.application.service.ITokenLogService;
import com.yizhi.util.application.domain.BizResponse;
import com.yizhi.util.application.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName: ManageTokenLogController
 * @author: zjl
 * @date: 2021/1/13  16:03
 */
@Api(tags = "管理端-金币消费")
@RestController
@RequestMapping("/manage/tokenLog")
public class ManageTokenLogController {

    @Autowired
    private ITokenLogService tokenLogService;

    @Autowired
    private TokenLogExport tokenLogExport;

    @PostMapping("/list")
    @ApiOperation(value = "获取消费记录")
    public BizResponse<PageInfo<ManageTokenLogVO>> get(@RequestBody ManageTokenLogQO qo) {
        RequestContext context = ContextHolder.get();
        return BizResponse.ok(tokenLogService.getLogListByCondition(context, qo));
    }

    @PostMapping("/export")
    @ApiOperation(value = "导出消费记录")
    public BizResponse<String> export(@RequestBody ManageTokenLogQO qo) {
        Map<String,Object> map = new HashMap<>();
        RequestContext context = ContextHolder.get();
        map.put("qo", qo);
        map.put("context", context);
        tokenLogExport.execute(map, true);
        String formatDate = DateUtil.format(new Date(), "yyyyMMddHHmmss");
        String taskName = "导出消费记录-" + formatDate;
        return BizResponse.ok(taskName);
    }
}
