package com.yizhi.mall.application.controller.manage;

import com.yizhi.mall.application.domain.TokenSwitch;
import com.yizhi.mall.application.pojo.qo.TokenSwitchQO;
import com.yizhi.mall.application.pojo.vo.ManageTokenSwitchVO;
import com.yizhi.mall.application.pojo.vo.TokenSwitchVO;
import com.yizhi.mall.application.service.ITokenSwitchService;
import com.yizhi.mall.application.xservice.TokenConfigXService;
import com.yizhi.mall.application.xservice.TokenSwitchXService;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName: ManageTokenSwitchController
 * @author: zjl
 * @date: 2021/1/15  9:22
 */
@Api(tags = "管理端-兑换开关")
@RestController
@RequestMapping("/manage/tokenSwitch")
public class ManageTokenSwitchController {

    @Autowired
    private TokenSwitchXService tokenSwitchXService;

    @Autowired
    private ITokenSwitchService tokenSwitchService;

    @Autowired
    private TokenConfigXService tokenConfigXService;

    @GetMapping("/type/get")
    @ApiOperation(value = "获取已打开的兑换开关")
    public BizResponse<List<TokenSwitchVO>> getByType(@ApiParam(value = "10:积分 20:人民币 30:第三方商城") @RequestParam(value = "type", required = false) Integer type) {
        List<TokenSwitchVO> aSwitch = tokenConfigXService.getSwitch(type);
        return BizResponse.ok(aSwitch);
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增/修改兑换开关")
    public BizResponse<ManageTokenSwitchVO> saveOrUpdate(@RequestBody TokenSwitchQO qo) {
        TokenSwitch tokenSwitch = tokenSwitchXService.saveOrUpdateTokenSwitch(qo.getType(), qo.getTokenSwitchBol());
        ManageTokenSwitchVO vo = new ManageTokenSwitchVO();
        BeanUtils.copyProperties(tokenSwitch, vo);
        return BizResponse.ok(vo);
    }
}
