package com.yizhi.mall.application.controller.manage;

import com.yizhi.mall.application.pojo.qo.TokenExchangeRuleQO;
import com.yizhi.mall.application.pojo.vo.TokenConfigVO;
import com.yizhi.mall.application.pojo.vo.TokenExchangeRuleVO;
import com.yizhi.mall.application.service.IAccountTokenService;
import com.yizhi.mall.application.service.ITokenExchangeRuleService;
import com.yizhi.mall.application.xservice.TokenConfigXService;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

/**
 * @ClassName: TokenExchangeRuleController
 * @author: zjl
 * @date: 2021/1/11  15:03
 */
@RestController
@RequestMapping("/manage/tokenExchangeRule")
@Api(tags = "管理端-积分兑换金币规则")
public class TokenExchangeRuleController {

    @Autowired
    private ITokenExchangeRuleService tokenExchangeRuleService;
    @Autowired
    private TokenConfigXService tokenConfigXService;

    @GetMapping("/get")
    @ApiOperation(value = "获取规则")
    public BizResponse<TokenConfigVO> get() {
        TokenConfigVO config = tokenConfigXService.getRuleBySiteId();
        return BizResponse.ok(config);
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增/修改规则")
    public BizResponse<TokenExchangeRuleVO> saveOrUpdate(@RequestBody TokenExchangeRuleQO qo) {
        tokenExchangeRuleService.saveOrUpdateTokenExchangeRule(qo);
        return BizResponse.ok();
    }
}
