package com.yizhi.mall.application.controller.student;

import com.yizhi.mall.application.pojo.vo.QualityContentVO;
import com.yizhi.mall.application.xservice.QualityContentXService;
import com.yizhi.training.application.param.PaidTrainingProjectQO;
import com.yizhi.training.application.vo.api.PaidTrainingProjectVO;
import com.yizhi.util.application.domain.BizResponse;
import com.yizhi.util.application.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName: QualityContentController
 * @author: zjl
 * @date: 2021/1/12  9:35
 */
@Api(tags = "学员端-精品内容")
@RestController
@RequestMapping("/student/qualityContent")
public class QualityContentController {

    @Autowired
    private QualityContentXService qualityContentXService;

    @GetMapping("/get")
    @ApiOperation(value = "获取精品内容个人信息")
    public BizResponse<QualityContentVO> get() {
        return BizResponse.ok(qualityContentXService.getQualityContent());
    }

    @PostMapping("/paidProject/get")
    @ApiOperation(value = "获取精品内容付费项目")
    public BizResponse<PageInfo<PaidTrainingProjectVO>> getPaidProject(@RequestBody PaidTrainingProjectQO qo) {
        return BizResponse.ok(qualityContentXService.getPaidTrainingProject(qo));
    }
}
