package com.yizhi.mall.application.controller.student;

import com.yizhi.mall.application.pojo.vo.StudentTokenLogVO;
import com.yizhi.mall.application.service.ITokenLogService;
import com.yizhi.util.application.domain.BizResponse;
import com.yizhi.util.application.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: StudentTokenLogController
 * @author: zjl
 * @date: 2021/1/18  9:35
 */
@Api(tags = "学员端-金币消费")
@RestController
@RequestMapping("/student/tokenLog")
public class StudentTokenLogController {

    @Autowired
    private ITokenLogService tokenLogService;

    @GetMapping("/list")
    @ApiOperation(value = "获取消费记录")
    public BizResponse<PageInfo<StudentTokenLogVO>> get(@RequestParam(value = "pageNo")Integer pageNo,
                                                        @RequestParam(value = "pageSize")Integer pageSize) {
        return BizResponse.ok(tokenLogService.getLogPageByUserId(pageNo, pageSize));
    }
}
