package com.yizhi.mall.application.controller.student

import com.yizhi.mall.application.pojo.vo.TokenConfigVO
import com.yizhi.mall.application.pojo.vo.TokenSwitchVO
import com.yizhi.mall.application.xservice.TokenConfigXService
import com.yizhi.util.application.domain.BizResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestParam
import org.springframework.web.bind.annotation.RestController


/**
 * @Date 2021/1/6 4:02 下午
 * @Author lvjianhui
 **/
@RestController
@RequestMapping("/student/token/config")
@Api(tags = arrayOf("金币配置规则"))
class TokenConfigController {

    @Autowired
    lateinit var tokenConfigXService: TokenConfigXService

    @GetMapping("/rule")
    @ApiOperation("兑换规则查询")
    fun getTokenConfig(): BizResponse<TokenConfigVO> {
        val vo = tokenConfigXService.getRuleBySiteId()
        return BizResponse.ok(vo)
    }

    @GetMapping("/switch")
    @ApiOperation("根据type 查询 指定开关 10:积分 20:人民币 30:第三方商城。如果返回数据为null,则为关闭")
    fun getTokenSwitch(@RequestParam("") type:Int):BizResponse<List<TokenSwitchVO>> {
        val vos = tokenConfigXService.getSwitch(type)
        return BizResponse.ok(vos)
    }

}