package com.yizhi.mall.application.controller.student

import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.pojo.qo.ApplyProjectPO
import com.yizhi.mall.application.pojo.qo.TokenExchangePO
import com.yizhi.mall.application.service.IAccountTokenService
import com.yizhi.mall.application.xservice.TokenXService
import com.yizhi.util.application.domain.BizResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.*


/**
 * @Date 2021/1/11 12:01 下午
 * @Author lvjianhui
 **/
@RestController
@RequestMapping("/student/token")
@Api(tags = arrayOf("金币"))
class TokenController {

    @Autowired
    lateinit var iAccountTokenService:IAccountTokenService
    @Autowired
    lateinit var tokenXService : TokenXService

    @GetMapping("/amount")
    @ApiOperation("获取用户当前金币数量")
    fun getTokenAmount():BizResponse<Int> {
        val  rc = ContextHolder.get()
        val amount = iAccountTokenService.getTokenCountById(rc.companyId,rc.siteId,rc.accountId)
        return BizResponse.ok(amount)
    }

    @GetMapping("/point/amount")
    @ApiOperation("获取可用积分数量")
    fun getPointCount():BizResponse<Int> {
        val amount = tokenXService.getPointCount()
        return BizResponse.ok(amount)
    }

    @PostMapping("/exchange/by/point")
    @ApiOperation("积分换金币")
    fun exchangeToken(@RequestBody po: TokenExchangePO):BizResponse<*> {
        tokenXService.pointExchangeToken(po)
        return BizResponse.ok("")
    }

    @PostMapping("/cost/to/project")
    @ApiOperation("花费金币-项目报名")
    fun costToProject(@RequestBody po: ApplyProjectPO):BizResponse<*> {
        tokenXService.costToProject(po)
        return BizResponse.ok("")
    }
}