package com.yizhi.mall.application.controller.student

import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.pojo.vo.OrderDetailVO
import com.yizhi.mall.application.pojo.vo.TokenLogMonthTotalVO
import com.yizhi.mall.application.pojo.vo.TokenLogVO
import com.yizhi.mall.application.xservice.TokenLogXService
import com.yizhi.util.application.domain.BizResponse
import com.yizhi.util.application.page.PageInfo
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import io.swagger.annotations.ApiParam
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestParam
import org.springframework.web.bind.annotation.RestController


/**
 * @Date 2021/1/6 5:04 下午
 * @Author lvjianhui
 **/
@RestController
@RequestMapping("/student/token/log")
@Api(tags = arrayOf("金币明细"))
class TokenLogController {

    @Autowired
    lateinit var tokenLogXService : TokenLogXService

    @GetMapping("/list")
    @ApiOperation("按月获取金币明细")
    fun getTokenLogList(
            @RequestParam("type",required = false) @ApiParam("变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏   200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品") type:Int?,
            @RequestParam("pageIndex",required = false,defaultValue = "1") pageIndex:Int?,
            @RequestParam("pageSize",required = false,defaultValue = "10") pageSize:Int?,
            @RequestParam("startAt",required = false)  startAt:Long?):BizResponse<TokenLogMonthTotalVO> {
//        val requestContext = ContextHolder.get()
        val vo = tokenLogXService.getTokenTotal(startAt,type,pageIndex!!,pageSize!!) ?: return BizResponse.ok()
//        val page = tokenLogXService.getLogByType(requestContext,startAt,type,pageIndex!!,pageSize!!)
//        vo.items = page
        return BizResponse.ok(vo)
    }

    @GetMapping("/order/detail")
    @ApiOperation("获取订单详情")
    fun getOrderDetail(@RequestParam("orderId") orderId:String):BizResponse<OrderDetailVO> {
        val requestContext = ContextHolder.get()
        val vo = tokenLogXService.getOrderDetail(requestContext.accountId,requestContext.companyId,requestContext.siteId,orderId)
        return BizResponse.ok(vo)
    }

}