package com.yizhi.mall.application.domain;

import java.io.Serializable;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

import com.yizhi.mall.application.config.JpaListener;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * <p>
 * 用户兑换金币明细记录表
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-11
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "AccountExchangeLog", description = "用户兑换金币明细记录表")
@TableName("account_exchange_log")
@Entity
@EntityListeners(value = {JpaListener.class})
public class AccountExchangeLog implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "类型 10:积分 100:支付宝 110:微信")
	private Integer type;

	@ApiModelProperty(value = "花费总量 人名币单位为分")
	private Integer count;

	@ApiModelProperty(value = "兑换比例 100 表示 100:1 100积分兑换 1金币")
	@TableField("exchange_rate")
	private BigDecimal exchangeRate;

	@ApiModelProperty(value = "获得金币数量")
	@TableField("token_count")
	private Integer tokenCount;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

	@TableField("created_at")
	private Date createdAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public BigDecimal getExchangeRate() {
		return exchangeRate;
	}

	public void setExchangeRate(BigDecimal exchangeRate) {
		this.exchangeRate = exchangeRate;
	}

	public Integer getTokenCount() {
		return tokenCount;
	}

	public void setTokenCount(Integer tokenCount) {
		this.tokenCount = tokenCount;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override
	public String toString() {
		return "AccountExchangeLog{" +
			", id=" + id +
			", accountId=" + accountId +
			", type=" + type +
			", count=" + count +
			", exchangeRate=" + exchangeRate +
			", tokenCount=" + tokenCount +
			", companyId=" + companyId +
			", siteId=" + siteId +
			", orgId=" + orgId +
			", createdAt=" + createdAt +
			"}";
	}
}
