package com.yizhi.mall.application.domain;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

import com.yizhi.mall.application.config.JpaListener;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * <p>
 * 用户金币兑换汇总表
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-11
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "AccountExchangeSum", description = "用户金币兑换汇总表")
@TableName("account_exchange_sum")
@Entity
@EntityListeners(value = {JpaListener.class})
public class AccountExchangeSum implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "类型 10:积分 100:人名币")
	private Integer type;

	@ApiModelProperty(value = "已消耗总量 人名币单位为分")
	private Integer total;

	@ApiModelProperty(value = "兑换金币总量")
	@TableField("token_total")
	private Integer tokenTotal;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("created_at")
	private Date createdAt;

	@TableField("updated_at")
	private Date updatedAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public Integer getTokenTotal() {
		return tokenTotal;
	}

	public void setTokenTotal(Integer tokenTotal) {
		this.tokenTotal = tokenTotal;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	@Override
	public String toString() {
		return "AccountExchangeSum{" +
			", id=" + id +
			", accountId=" + accountId +
			", type=" + type +
			", total=" + total +
			", tokenTotal=" + tokenTotal +
			", companyId=" + companyId +
			", siteId=" + siteId +
			", createdAt=" + createdAt +
			", updatedAt=" + updatedAt +
			"}";
	}
}
