package com.yizhi.mall.application.domain;

import java.io.Serializable;

import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.yizhi.mall.application.config.JpaListener;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * <p>
 * 用户金币表
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-11
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "AccountToken", description = "用户金币表")
@TableName("account_token")
@Entity
@EntityListeners(value = {JpaListener.class})
public class AccountToken implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "用户ID")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "当前金币数量")
	private Integer amount;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

	@TableField("created_at")
	private Date createdAt;

	@TableField("updated_at")
	private Date updatedAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public Integer getAmount() {
		return amount;
	}

	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	@Override
	public String toString() {
		return "AccountToken{" +
			", id=" + id +
			", accountId=" + accountId +
			", amount=" + amount +
			", companyId=" + companyId +
			", siteId=" + siteId +
			", orgId=" + orgId +
			", createdAt=" + createdAt +
			", updatedAt=" + updatedAt +
			"}";
	}
}
