package com.yizhi.mall.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.yizhi.mall.application.config.JpaListener;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 积分兑换金币规则表日志表
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-11
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "TokenExchangeRuleLog", description = "积分兑换金币规则表日志表")
@TableName("token_exchange_rule_log")
@Entity
@EntityListeners(value = {JpaListener.class})
public class TokenExchangeRuleLog implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@TableField("rule_id")
	private Long ruleId;

	@ApiModelProperty(value = "虚拟币名称")
	@TableField("token_name")
	private String tokenName;

	@ApiModelProperty(value = "兑换比例 100表示 100积分兑换 1金币")
	private BigDecimal rate;

	@ApiModelProperty(value = "0:无条件 1:有条件")
	@TableField("exchange_condition")
	private Boolean exchangeCondition;

	@ApiModelProperty(value = "DAY,WEEK,MONTH,QUARTER,HALFYEAR,YEAR")
	@TableField("condition_rule_type")
	private String conditionRuleType;

	@ApiModelProperty(value = "时间范围内退换总量")
	@TableField("condition_rule_token_count")
	private Integer conditionRuleTokenCount;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_Id")
	private Long siteId;

	@ApiModelProperty(value = "创建人ID")
	@TableField("created_uid")
	private Long createdUid;

	@ApiModelProperty(value = "创建人name")
	@TableField("created_name")
	private String createdName;

	@TableField("created_at")
	private Date createdAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRuleId() {
		return ruleId;
	}

	public void setRuleId(Long ruleId) {
		this.ruleId = ruleId;
	}

	public String getTokenName() {
		return tokenName;
	}

	public void setTokenName(String tokenName) {
		this.tokenName = tokenName;
	}

	public BigDecimal getRate() {
		return rate;
	}

	public void setRate(BigDecimal rate) {
		this.rate = rate;
	}

	public Boolean getExchangeCondition() {
		return exchangeCondition;
	}

	public void setExchangeCondition(Boolean exchangeCondition) {
		this.exchangeCondition = exchangeCondition;
	}

	public String getConditionRuleType() {
		return conditionRuleType;
	}

	public void setConditionRuleType(String conditionRuleType) {
		this.conditionRuleType = conditionRuleType;
	}

	public Integer getConditionRuleTokenCount() {
		return conditionRuleTokenCount;
	}

	public void setConditionRuleTokenCount(Integer conditionRuleTokenCount) {
		this.conditionRuleTokenCount = conditionRuleTokenCount;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public String getCreatedName() {
		return createdName;
	}

	public void setCreatedName(String createdName) {
		this.createdName = createdName;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override
	public String toString() {
		return "TokenExchangeRuleLog{" +
			", id=" + id +
			", ruleId=" + ruleId +
			", tokenName=" + tokenName +
			", rate=" + rate +
			", exchangeCondition=" + exchangeCondition +
			", conditionRuleType=" + conditionRuleType +
			", conditionRuleTokenCount=" + conditionRuleTokenCount +
			", companyId=" + companyId +
			", siteId=" + siteId +
			", createdUid=" + createdUid +
			", createdName=" + createdName +
			", createdAt=" + createdAt +
			"}";
	}
}
