package com.yizhi.mall.application.domain;

import java.io.Serializable;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

import com.yizhi.mall.application.config.JpaListener;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * <p>
 * 金币明细表
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-13
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "TokenLog", description = "金币明细表")
@TableName("token_log")
@Entity
@EntityListeners(value = {JpaListener.class})
public class TokenLog implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "金币账户ID")
	@TableField("token_id")
	private Long tokenId;

	@ApiModelProperty(value = "用户ID")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "用户名")
	@TableField("account_name")
	private String accountName;

	@ApiModelProperty(value = "用户姓名")
	@TableField("account_full_name")
	private String accountFullName;

	@ApiModelProperty(value = "平台订单号  新增token_log是生成")
	@TableField("order_id")
	private String orderId;

	@ApiModelProperty(value = "第三方订单号 如果是微信，支付宝 第三方商城 等需要填写")
	@TableField("third_order_id")
	private Long thirdOrderId;

	@ApiModelProperty(value = "变动类型 -1减 ，1加")
	@TableField("change_type")
	private Integer changeType;

	@ApiModelProperty(value = "变更前数量")
	@TableField("before_count")
	private Integer beforeCount;

	@ApiModelProperty(value = "本次变更数量 + 加 -减")
	@TableField("change_count")
	private Integer changeCount;

	@ApiModelProperty(value = "变更后数量")
	@TableField("after_count")
	private Integer afterCount;

	@ApiModelProperty(value = "变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏   200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品")
	private Integer type;

	@ApiModelProperty(value = "兑换金币 消耗积分或人名币数量 ")
	@TableField("cost_count")
	private Integer costCount;

	@ApiModelProperty(value = "业务 类型 消费购买仅在部分type下有效")
	@TableField("relation_type")
	private Integer relationType;

	@ApiModelProperty(value = "业务 名 考试名 或项目名")
	@TableField("relation_name")
	private String relationName;

	@ApiModelProperty(value = "业务 icoc")
	@TableField("relation_icon_url")
	private String relationIconUrl;

	@ApiModelProperty(value = "业务ID 消费购买")
	@TableField("relation_id")
	private Long relationId;

	@ApiModelProperty(value = "订单 提示")
	private String msg;

	@ApiModelProperty(value = "备注")
	private String remark;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

	@TableField("created_at")
	private Date createdAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getTokenId() {
		return tokenId;
	}

	public void setTokenId(Long tokenId) {
		this.tokenId = tokenId;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountFullName() {
		return accountFullName;
	}

	public void setAccountFullName(String accountFullName) {
		this.accountFullName = accountFullName;
	}

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public Long getThirdOrderId() {
		return thirdOrderId;
	}

	public void setThirdOrderId(Long thirdOrderId) {
		this.thirdOrderId = thirdOrderId;
	}

	public Integer getChangeType() {
		return changeType;
	}

	public void setChangeType(Integer changeType) {
		this.changeType = changeType;
	}

	public Integer getBeforeCount() {
		return beforeCount;
	}

	public void setBeforeCount(Integer beforeCount) {
		this.beforeCount = beforeCount;
	}

	public Integer getChangeCount() {
		return changeCount;
	}

	public void setChangeCount(Integer changeCount) {
		this.changeCount = changeCount;
	}

	public Integer getAfterCount() {
		return afterCount;
	}

	public void setAfterCount(Integer afterCount) {
		this.afterCount = afterCount;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getCostCount() {
		return costCount;
	}

	public void setCostCount(Integer costCount) {
		this.costCount = costCount;
	}

	public Integer getRelationType() {
		return relationType;
	}

	public void setRelationType(Integer relationType) {
		this.relationType = relationType;
	}

	public String getRelationName() {
		return relationName;
	}

	public void setRelationName(String relationName) {
		this.relationName = relationName;
	}

	public String getRelationIconUrl() {
		return relationIconUrl;
	}

	public void setRelationIconUrl(String relationIconUrl) {
		this.relationIconUrl = relationIconUrl;
	}

	public Long getRelationId() {
		return relationId;
	}

	public void setRelationId(Long relationId) {
		this.relationId = relationId;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override
	public String toString() {
		return "TokenLog{" +
			", id=" + id +
			", tokenId=" + tokenId +
			", accountId=" + accountId +
			", accountName=" + accountName +
			", accountFullName=" + accountFullName +
			", orderId=" + orderId +
			", thirdOrderId=" + thirdOrderId +
			", changeType=" + changeType +
			", beforeCount=" + beforeCount +
			", changeCount=" + changeCount +
			", afterCount=" + afterCount +
			", type=" + type +
			", costCount=" + costCount +
			", relationType=" + relationType +
			", relationName=" + relationName +
			", relationIconUrl=" + relationIconUrl +
			", relationId=" + relationId +
			", msg=" + msg +
			", remark=" + remark +
			", companyId=" + companyId +
			", siteId=" + siteId +
			", orgId=" + orgId +
			", createdAt=" + createdAt +
			"}";
	}
}
