package com.yizhi.mall.application.excel.convert;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.CellData;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.property.ExcelContentProperty;
import com.alibaba.excel.util.NumberUtils;

import java.text.ParseException;


public class CustomTokenLogTypeConverter implements Converter<Integer> {

    @Override
    public Class supportJavaTypeKey() {
        return Integer.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    /**
     * 这里是读的时候会调用 不用管
     *
     * @param cellData            NotNull
     * @param contentProperty     Nullable
     * @param globalConfiguration NotNull
     * @return
     */
    @Override
    public Integer convertToJavaData(CellData cellData, ExcelContentProperty contentProperty,
                                     GlobalConfiguration globalConfiguration) throws ParseException {
        return NumberUtils.parseInteger(cellData.getStringValue(), contentProperty);
    }

    /**
     * 这里是写的时候会调用 不用管
     *
     * @param value               NotNull
     * @param contentProperty     Nullable
     * @param globalConfiguration NotNull
     * @return
     */
    @Override
    public CellData convertToExcelData(Integer value, ExcelContentProperty contentProperty,
                                       GlobalConfiguration globalConfiguration) {
        CellData finalValue = new CellData("默认");
        switch (value) {
            case 100:
                finalValue = new CellData("积分兑换");
                break;
            case 110:
                finalValue = new CellData("微信充值");
                break;
            case 120:
                finalValue = new CellData("支付宝充值");
                break;
            case 180:
                finalValue = new CellData("帖子被打赏");
                break;
            case 181:
                finalValue = new CellData("回帖被打赏");
                break;
            case 182:
                finalValue = new CellData("作品被打赏");
                break;
            case 200:
                finalValue = new CellData("项目报名");
                break;
            case 210:
                finalValue = new CellData("课程报名");
                break;
            case 280:
                finalValue = new CellData("打赏帖子");
                break;
            case 281:
                finalValue = new CellData("打赏回帖");
                break;
            case 282:
                finalValue = new CellData("打赏作品");
                break;
            case 300:
                finalValue = new CellData("购买第三方产品");
                break;
            default:
                finalValue = new CellData("其他");
                break;
        }
        return finalValue;
    }
}
