package com.yizhi.mall.application.excel.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yizhi.mall.application.excel.convert.CustomTokenLogTypeConverter;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 直播活动表
 * </p>
 *
 * @author taoge
 * @since 2020-11-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TokenLog对象", description = "消费记录导出")
public class TokenLogExcelModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(index = 0, value = "姓名")
    private String name;

    @ExcelProperty(index = 1, value = "用户名")
    private String fullName;

    @ExcelProperty(index = 2, value = "时间")
    private Date createdAt;

    @ExcelProperty(index = 3, value = "订单号")
    private String orderId;

    @ExcelProperty(index = 4, value = "类型", converter = CustomTokenLogTypeConverter.class)
    private Integer type;

    @ExcelProperty(index = 5, value = "备注")
    private String remark;

    @ExcelProperty(index = 6, value = "消耗/充值数量")
    private Integer count;

}
