package com.yizhi.mall.application.service

import com.yizhi.core.application.context.RequestContext
import com.yizhi.mall.application.domain.TokenLog
import com.yizhi.mall.application.pojo.qo.ManageTokenLogQO
import com.yizhi.mall.application.pojo.vo.ManageTokenLogVO
import com.yizhi.mall.application.pojo.vo.StudentTokenLogVO
import com.yizhi.mall.application.pojo.vo.TokenLogMonthTotalVO
import com.yizhi.util.application.page.PageInfo
import org.springframework.data.domain.Page
import java.util.*

/**
 *
 *
 * 服务类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-07
 */
interface ITokenLogService {

    fun getLogByAccountIdAndType(companyId: Long?, siteId: Long?, accountId: Long?, type: Int?, pageIndex: Int?, pageSize: Int?, startAt: Date?, endAt: Date?): Page<TokenLog>

    fun getTokenTotal(startAt: Date, endAt: Date,type: Int?): TokenLogMonthTotalVO

    fun getLastLog(type: Int?, companyId: Long?, siteId: Long?, accountId: Long?): TokenLog?

    fun getOrderByOrderId(accountId: Long, companyId: Long, siteId: Long, orderId: String): TokenLog

    fun getLogListByAccountIdAndType(companyId: Long?, siteId: Long?, accountId: Long?, type: Int?): List<TokenLog>?

    fun getLogListByCondition(context: RequestContext?, qo: ManageTokenLogQO?): PageInfo<ManageTokenLogVO>?

    fun getLogPageByUserId(pageNo: Int?, pageSize: Int?): PageInfo<StudentTokenLogVO>?

    fun getLogByRelationIdAndType(relationId: Long?, logType: Int?): List<TokenLog>?

    fun getEnrollCount(relationId: Long, logType: Int):Long
}