package com.yizhi.mall.application.service.impl

import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.TokenLogType
import com.yizhi.mall.application.domain.QAccountExchangeLog
import com.yizhi.mall.application.domain.TokenExchangeRule
import com.yizhi.mall.application.service.BaseService
import com.yizhi.mall.application.service.IAccountExchangeLogService
import org.springframework.amqp.core.ExchangeTypes
import org.springframework.stereotype.Service
import java.util.*

/**
 *
 *
 * 服务实现类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-07
 */
@Service
class AccountExchangeLogServiceImpl : BaseService(), IAccountExchangeLogService {

    override fun getPointExchangeTokenTotalByDate(startAt: Date?, endAt: Date?): Int {
        val log = QAccountExchangeLog.accountExchangeLog
        val rc = ContextHolder.get()
        var condition = log.companyId.eq(rc.companyId)
                .and(log.siteId.eq(rc.siteId))
                .and(log.accountId.eq(rc.accountId))
                .and(log.type.eq(TokenLogType.POINT_EXCHANGE.code))
        if (startAt!= null && endAt != null) {
            condition = condition.and(log.createdAt.goe(startAt))
                    .and(log.createdAt.lt(endAt))
        }
        return jpaqueryFactory.select(log.tokenCount.sum())
                .from(log)
                .where(condition)
                .fetchOne() ?: 0

    }
}