package com.yizhi.mall.application.service.impl

import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.TokenLogType
import com.yizhi.mall.application.domain.AccountExchangeSum
import com.yizhi.mall.application.domain.QAccountExchangeSum
import com.yizhi.mall.application.service.BaseService
import com.yizhi.mall.application.service.IAccountExchangeSumService
import org.springframework.stereotype.Service

/**
 *
 *
 * 服务实现类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-07
 */
@Service
class AccountExchangeSumServiceImpl : BaseService(), IAccountExchangeSumService {

    override fun getCostPointTotal():Int {
        val rc = ContextHolder.get()
        val exchangeSum = QAccountExchangeSum.accountExchangeSum
        val condition = exchangeSum.companyId.eq(rc.companyId)
                .and(exchangeSum.siteId.eq(rc.siteId))
                .and(exchangeSum.accountId.eq(rc.accountId))
                .and(exchangeSum.type.eq(TokenLogType.POINT_EXCHANGE.code))
        val sum=  jpaqueryFactory.select(exchangeSum)
                .from(exchangeSum)
                .where(condition)
                .limit(1)
                .fetchOne() ?: return 0
        return sum.total ?: 0
    }

    override fun getSumByType(type: Int): AccountExchangeSum? {
        val rc = ContextHolder.get()
        val exchangeSum = QAccountExchangeSum.accountExchangeSum
        val condition = exchangeSum.companyId.eq(rc.companyId)
                .and(exchangeSum.siteId.eq(rc.siteId))
                .and(exchangeSum.accountId.eq(rc.accountId))
                .and(exchangeSum.type.eq(type))
       return jpaqueryFactory.select(exchangeSum)
                .from(exchangeSum)
                .where(condition)
                .limit(1)
                .fetchOne()
    }
}