package com.yizhi.mall.application.service.impl;

import com.querydsl.core.types.Predicate;
import com.querydsl.core.types.dsl.BooleanExpression;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.mall.application.domain.AccountToken;
import com.yizhi.mall.application.domain.QAccountToken;
import com.yizhi.mall.application.service.IAccountTokenService;
import org.springframework.stereotype.Service;
import com.yizhi.mall.application.service.BaseService;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-07
 */
@Service
public class AccountTokenServiceImpl extends BaseService implements IAccountTokenService {

    @Override
    public Integer getTokenCountById(Long companyId, Long siteId, Long accountId) {
        QAccountToken accountToken = QAccountToken.accountToken;
        Predicate condition = accountToken.accountId.eq(accountId).and(accountToken.companyId.eq(companyId)).and(accountToken.siteId.eq(siteId));
        AccountToken at = jpaqueryFactory.select(accountToken).from(accountToken).where(condition).fetchOne();
        if (at == null) return 0;
        if (at.getAmount() == null) return 0;
        return at.getAmount();
    }

    @Override
    public AccountToken getTokenAccount() {
        RequestContext rc = ContextHolder.get();
        QAccountToken accountToken = QAccountToken.accountToken;
        Predicate condition = accountToken.accountId.eq(rc.getAccountId())
                .and(accountToken.companyId.eq(rc.getCompanyId()))
                .and(accountToken.siteId.eq(rc.getSiteId()));
        return jpaqueryFactory.select(accountToken).from(accountToken).where(condition).limit(1).fetchOne();
    }
}
