package com.yizhi.mall.application.service.impl

import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.domain.QTokenSwitch
import com.yizhi.mall.application.domain.TokenSwitch
import com.yizhi.mall.application.service.BaseService
import com.yizhi.mall.application.service.ITokenSwitchService
import org.springframework.stereotype.Service


/**
 * @Date 2021/1/14 2:59 下午
 * @Author lvjianhui
 **/
@Service
class TokenSwitchServiceImpl : BaseService(), ITokenSwitchService {

    override fun getSwitchList(companyId: Long, siteId: Long): List<TokenSwitch>? {
        val tokenSwitch = QTokenSwitch.tokenSwitch
        var condition = tokenSwitch.companyId.eq(companyId).and(tokenSwitch.siteId.eq(siteId))
        return jpaqueryFactory
                .select(tokenSwitch)
                .from(tokenSwitch)
                .where(condition)
                .fetch()
    }

    override fun getSwitchByType(type: Int?, companyId: Long, siteId: Long): List<TokenSwitch>? {
        val tokenSwitch = QTokenSwitch.tokenSwitch
        var condition = tokenSwitch.companyId.eq(companyId).and(tokenSwitch.siteId.eq(siteId))
        if (type != null) {
            condition = condition.and(tokenSwitch.type.eq(type))
        }
        return jpaqueryFactory
                .select(tokenSwitch)
                .from(tokenSwitch)
                .where(condition)
                .fetch()
    }
}