package com.yizhi.mall.application.xservice.impl

import com.yizhi.application.orm.id.IdGenerator
import com.yizhi.core.application.context.ContextHolder
import com.yizhi.mall.application.domain.TokenExchangeRule
import com.yizhi.mall.application.pojo.vo.TokenConfigVO
import com.yizhi.mall.application.pojo.vo.TokenSwitchVO
import com.yizhi.mall.application.repository.TokenExchangeRuleRepository
import com.yizhi.mall.application.repository.TokenexchangeruleLogRepository
import com.yizhi.mall.application.service.ITokenExchangeRuleService
import com.yizhi.mall.application.service.ITokenSwitchService
import com.yizhi.mall.application.xservice.TokenConfigXService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import java.math.BigDecimal


/**
 * @Date 2021/1/6 4:51 下午
 * @Author lvjianhui
 **/
@Service
class TokenConfigXServiceImpl: TokenConfigXService {
    @Autowired
    lateinit var tokenSwitchService: ITokenSwitchService
    @Autowired
    lateinit var tokenExchangeRuleService: ITokenExchangeRuleService

    @Autowired
    lateinit var repository: TokenExchangeRuleRepository
    @Autowired
    lateinit var idGenerator: IdGenerator

    override fun getRuleBySiteId(): TokenConfigVO? {
        var rule = tokenExchangeRuleService.tokenExchangeRule
        if(rule == null) {
            rule = TokenExchangeRule()
            rule.id = idGenerator.generate()
            rule.exchangeCondition = false
            rule.rate = BigDecimal(100)
            rule.tokenName = "金币"
            repository.save(rule)
        }
        val vo = TokenConfigVO();
        vo.tokenName = rule.tokenName
        vo.rate = rule.rate
        vo.exchangeCondition = rule.exchangeCondition
        vo.ruleType = rule.conditionRuleType
        vo.ruleTokenCount = rule.conditionRuleTokenCount
        return vo
    }

    override fun getSwitch(type: Int?): List<TokenSwitchVO>? {
        val rc = ContextHolder.get()
        val switchList = tokenSwitchService.getSwitchByType(type, rc.companyId, rc.siteId) ?: return null
        if (switchList.isEmpty()) {
            return null
        }
        val vos = arrayListOf<TokenSwitchVO>()
        switchList.forEach {
            val vo = TokenSwitchVO()
            vo.tokenSwitch = it.tokenSwitchBol
            vo.type = it.type
            vos.add(vo)
        }
        return vos
    }
}