package com.yizhi.mall.application.xservice.impl;

import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.mall.application.domain.TokenSwitch;
import com.yizhi.mall.application.repository.TokenSwitchRepository;
import com.yizhi.mall.application.xservice.TokenSwitchXService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @ClassName: TokenSwitchXServiceImpl
 * @author: zjl
 * @date: 2021/1/15  9:54
 */
@Service
public class TokenSwitchXServiceImpl implements TokenSwitchXService {

    @Autowired
    private TokenSwitchRepository repository;

    @Autowired
    private IdGenerator idGenerator;

    /**
     * 新增/修改开关
     * @param type
     * @param tokenSwitchBol
     * @return
     */
    @Override
    public TokenSwitch saveOrUpdateTokenSwitch(Integer type, Boolean tokenSwitchBol) {
        RequestContext context = ContextHolder.get();
        TokenSwitch tokenSwitch = repository.findByCompanyIdAndSiteIdAndType(context.getCompanyId(), context.getSiteId(), type);
        if (Objects.isNull(tokenSwitch)) {
            //站点无兑换规则 新增
            tokenSwitch = new TokenSwitch();
            tokenSwitch.setId(idGenerator.generate());
        }
        tokenSwitch.setTokenSwitchBol(tokenSwitchBol);
        tokenSwitch.setType(type);
        TokenSwitch save = repository.save(tokenSwitch);
        return save;
    }
}
