package com.yizhi.mall.application.xservice.impl

import com.yizhi.enroll.application.feign.EnrollFeignClient
import com.yizhi.mall.application.TokenLogType
import com.yizhi.mall.application.config.constant.TokenLogRelationDto
import com.yizhi.mall.application.domain.TokenExchangeRule
import com.yizhi.mall.application.xservice.AccountTokenXService
import com.yizhi.mall.application.xservice.TrXService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import javax.transaction.Transactional


/**
 * @Date 2021/1/18 3:05 下午
 * @Author lvjianhui
 **/
@Service
open class TrXServiceImpl : TrXService {

    @Autowired
    lateinit var enrollFeignClient: EnrollFeignClient

    @Autowired
    lateinit var accountTokenXService: AccountTokenXService

    @Transactional
    override fun trApplyCostToken(changeToken: Int, logType: TokenLogType, rule: TokenExchangeRule?, relationMsg: TokenLogRelationDto) {
        // 扣费
        accountTokenXService.updateTokenAccount(changeToken, TokenLogType.PROJECT_APPLY, null, relationMsg)
        // 报名成功
        enrollFeignClient.insertTrEnrollRecord(relationMsg.relationId)
    }
}